// HintPropertyView.cpp : implementation file
//

#include "stdafx.h"
#include "Megatron.h"
#include "HintPropertyView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHintPropertyView

IMPLEMENT_DYNCREATE(CHintPropertyView, CView)

CHintPropertyView::CHintPropertyView()
{
}

CHintPropertyView::~CHintPropertyView()
{
}


BEGIN_MESSAGE_MAP(CHintPropertyView, CView)
	//{{AFX_MSG_MAP(CHintPropertyView)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHintPropertyView drawing

void CHintPropertyView::OnDraw(CDC* pDC)
{
//	CDocument* pDoc = GetDocument();
	// TODO: add draw code here
}

/////////////////////////////////////////////////////////////////////////////
// CHintPropertyView diagnostics

#ifdef _DEBUG
void CHintPropertyView::AssertValid() const
{
	CView::AssertValid();
}

void CHintPropertyView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CHintPropertyView message handlers

void CHintPropertyView::OnInitialUpdate() 
{
	CView::OnInitialUpdate();
	//CRect rc;
	//GetClientRect(&rc);

	//m_listBox.Create(WS_CHILD|WS_VISIBLE|WS_VSCROLL,rc,this,NULL);
	//m_listBox.ShowWindow(SW_SHOW);
	m_dlgProp.m_bIsView = true;


	HRSRC hRSRC = FindResource(NULL,MAKEINTRESOURCE(IDD_PROPERTIES),RT_DIALOG);
	HGLOBAL hGlobal = LoadResource(NULL,hRSRC);
	DLGTEMPLATE *pTemplate = (DLGTEMPLATE *)hGlobal;
	pTemplate->style &= ~WS_POPUP;
	pTemplate->style |= WS_CHILD;

	m_dlgProp.CreateIndirect(pTemplate,this);
	m_dlgProp.ShowWindow(SW_SHOW);
}

/*
//Mipmap=Default|None
//ReloadFromDisk=true|false
//ReadOnly=true|false
//Memory=Default|AGP|Video
//PageOut=Default|First|Last
//MipFilter=Box|Point
//PinkIsAlpha=false|true
//BlueIsAlpha=false|true
//NoGamma=false|true
*/

void CHintPropertyView::OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint) 
{
	if (lHint)
	{
		Stuff::Page *page = (Stuff::Page *)lHint;
		m_dlgProp.AddPage(page);
	}
}
